{ inputs, ... }: {
  imports = [
    ../../templates/proxmox-lxc.nix
    ../../server.nix
    ../../features/dns-cache.nix
    ../../features/telemetry
    inputs.iceshrimp.nixosModules.iceshrimp
  ];

  networking.hostName = "porcelain-doll-repair";
  system.stateVersion = "24.05";
  nixpkgs.hostPlatform = "x86_64-linux";

  services.iceshrimp = {
    enable = true;
    url = "https://porcelain.doll.repair";
    createDb = true;
  };
}
